Package oracle.nosql.driver

## Class RequestTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - oracle.nosql.driver.NoSQLException
        - - oracle.nosql.driver.RequestTimeoutException

- All Implemented Interfaces:
    `Serializable`

      public class RequestTimeoutException
      extends NoSQLException

  Thrown when a request cannot be processed because the configured timeout interval is exceeded. If a retry handler is configured it is possible that the request has been retried a number of times before the timeout occurs.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestTimeoutException​(int timeoutMs, String msg)` | Internal use only.
    `RequestTimeoutException​(int timeoutMs, String msg, Throwable cause)` | Internal use only.
    `RequestTimeoutException​(String msg)` | Internal use only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getMessage()` |
    `int` | `getTimeoutMs()` | Returns the timeout that was in effect for the operation.

    - ### Methods inherited from class oracle.nosql.driver.NoSQLException

      `okToRetry`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestTimeoutException

          public RequestTimeoutException​(String msg)

      Internal use only.
      Parameters:
        `msg` - the message string for the timeout

    - #### RequestTimeoutException

          public RequestTimeoutException​(int timeoutMs,
                                         String msg)

      Internal use only.
      Parameters:
        `timeoutMs` - the timeout that was in effect, in milliseconds
        `msg` - the message string for the timeout

    - #### RequestTimeoutException

          public RequestTimeoutException​(int timeoutMs,
                                         String msg,
                                         Throwable cause)

      Internal use only.
      Parameters:
        `timeoutMs` - the timeout that was in effect, in milliseconds
        `msg` - the message string for the timeout
        `cause` - the cause of the exception

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

    - #### getTimeoutMs

          public int getTimeoutMs()

      Returns the timeout that was in effect for the operation.
      Returns:
        the timeout that was in use for the operation that timed out, in milliseconds, if the timeout is not known it will be 0.